package models

import (
	"time"
)

type CmMessage struct {
	Id          int       `xorm:"not null pk autoincr comment('自增ID') INT(11)"`
	Title       string    `xorm:"comment('消息标题') VARCHAR(255)"`
	Content     string    `xorm:"comment('消息内容') TEXT"`
	CreateTime  string    `xorm:"comment('创建时间') VARCHAR(32)"`
	CreateUid   int       `xorm:"comment('创建者id') INT(11)"`
	ProjectId   int       `xorm:"comment('项目id，针对项目通知') INT(11)"`
	Creator     int       `xorm:"comment('创建者') INT(11)"`
	Type        int       `xorm:"comment('消息类型 1为项目 2为系统') TINYINT(1)"`
	Status      int       `xorm:"comment('消息状态，1：已发布，2：未发布') TINYINT(1)"`
	ReleaseTime int       `xorm:"comment('发布时间') INT(11)"`
	Istop       time.Time `xorm:"not null default 'CURRENT_TIMESTAMP' comment('是否置顶，0为非置顶，时间戳为置顶时间') TIMESTAMP"`
}
